NYCHECK(1)

NAME
nycheck - tool to check syntax of specialized-format patches

SYNOPSIS
nycheck pam options [ print ] [ .go ]

DESCRIPTION

nycheck is a tool in the Nypatchy suite of programs for working with Patchy Master Files (PAM files); see nypatchy(1). Specifically, it is a syntax checker for these files which is more strict than nypatchy itself.

USAGE
The parameter pam is the name of the PAM file (a default extension of ".car" is assumed), print is the output file to write to (the default is standard output if omitted), and options is a sequence of single-character flags.

The command should be ended with ".go" unless one wants to enter the Nypatchy interactive shell.

OPTIONS

Note that options should be given as a single string of characters with no space separation and no use of the - character (except that it can be used in place of the options field if no options are desired). Alphabetic options are not case-sensitive.

H   Print help information only.

U   Print a warning if user-defined types occur.

n   For n a number from 0 to 4 inclusive, assume 58, 62, 74, 84, or 98 lines per page in the output. (The default is 110 lines per page.) For n a number greater than or equal to 20, use that specific number of lines per page.

+   Inhibit the initial page-eject.

SEE ALSO
fcasplit(1), nydiff(1), nyindex(1), nylist(1), nymerge(1), nypatchy(1), nyshell(1), nysynopt(1), nytidy(1), yexpand(1)

The reference manual for the Nypatchy suite of programs is available in compressed PostScript format at the following URL:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/p5refman.ps.gz

Running the command "nycheck help .no" also gives some brief help on usage.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). It is licensed under the GNU General Public License, version 2 or later (at your choice).

COPYRIGHT
Copyright (C) Kevin B. McCarty, 2008.